Order fulfillment
Create order fulfillment
Create a new order fulfillment
POST
/
api
/
order_fulfillments
Create order fulfillment
curl --request POST \
--url https://api.fluid.app/api/order_fulfillments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"order_id": 48213,
"order_items": [
{
"item_id": 130577,
"quantity": 1
}
],
"tracking_informations": [
{
"tracking_number": "1Z84X2E70392018475",
"shipping_carrier": "UPS"
}
],
"send_fulfillment_notification": true
}
'import requests
url = "https://api.fluid.app/api/order_fulfillments"
payload = {
"order_id": 48213,
"order_items": [
{
"item_id": 130577,
"quantity": 1
}
],
"tracking_informations": [
{
"tracking_number": "1Z84X2E70392018475",
"shipping_carrier": "UPS"
}
],
"send_fulfillment_notification": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
order_id: 48213,
order_items: [{item_id: 130577, quantity: 1}],
tracking_informations: [{tracking_number: '1Z84X2E70392018475', shipping_carrier: 'UPS'}],
send_fulfillment_notification: true
})
};
fetch('https://api.fluid.app/api/order_fulfillments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/order_fulfillments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'order_id' => 48213,
'order_items' => [
[
'item_id' => 130577,
'quantity' => 1
]
],
'tracking_informations' => [
[
'tracking_number' => '1Z84X2E70392018475',
'shipping_carrier' => 'UPS'
]
],
'send_fulfillment_notification' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/order_fulfillments"
payload := strings.NewReader("{\n \"order_id\": 48213,\n \"order_items\": [\n {\n \"item_id\": 130577,\n \"quantity\": 1\n }\n ],\n \"tracking_informations\": [\n {\n \"tracking_number\": \"1Z84X2E70392018475\",\n \"shipping_carrier\": \"UPS\"\n }\n ],\n \"send_fulfillment_notification\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fluid.app/api/order_fulfillments")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"order_id\": 48213,\n \"order_items\": [\n {\n \"item_id\": 130577,\n \"quantity\": 1\n }\n ],\n \"tracking_informations\": [\n {\n \"tracking_number\": \"1Z84X2E70392018475\",\n \"shipping_carrier\": \"UPS\"\n }\n ],\n \"send_fulfillment_notification\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/order_fulfillments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"order_id\": 48213,\n \"order_items\": [\n {\n \"item_id\": 130577,\n \"quantity\": 1\n }\n ],\n \"tracking_informations\": [\n {\n \"tracking_number\": \"1Z84X2E70392018475\",\n \"shipping_carrier\": \"UPS\"\n }\n ],\n \"send_fulfillment_notification\": true\n}"
response = http.request(request)
puts response.read_body{
"id": 51876,
"created_at": "2026-09-15T13:22:09Z",
"updated_at": "2026-09-15T13:22:09Z",
"order_item_fulfillments": [
{
"id": 60233,
"quantity": 1,
"item_id": 130577,
"order_fulfillment_id": 51876,
"created_at": "2026-09-15T13:22:09Z",
"updated_at": "2026-09-15T13:22:09Z"
}
],
"tracking_informations": [
{
"id": 77541,
"tracking_number": "1Z84X2E70392018475",
"shipping_carrier": "UPS",
"tracking_url": "https://www.ups.com/track?track=yes&trackNums=1Z84X2E70392018475",
"created_at": "2026-09-15T13:22:09Z",
"updated_at": "2026-09-15T13:22:09Z"
}
],
"meta": {
"request_id": "6b3e9f20-8a4c-4d17-b2e5-0c9d7a1f4e36",
"timestamp": "2026-09-15T13:22:09Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}Body
application/json
Response
object | null
Created
⌘I
Create order fulfillment
curl --request POST \
--url https://api.fluid.app/api/order_fulfillments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"order_id": 48213,
"order_items": [
{
"item_id": 130577,
"quantity": 1
}
],
"tracking_informations": [
{
"tracking_number": "1Z84X2E70392018475",
"shipping_carrier": "UPS"
}
],
"send_fulfillment_notification": true
}
'import requests
url = "https://api.fluid.app/api/order_fulfillments"
payload = {
"order_id": 48213,
"order_items": [
{
"item_id": 130577,
"quantity": 1
}
],
"tracking_informations": [
{
"tracking_number": "1Z84X2E70392018475",
"shipping_carrier": "UPS"
}
],
"send_fulfillment_notification": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
order_id: 48213,
order_items: [{item_id: 130577, quantity: 1}],
tracking_informations: [{tracking_number: '1Z84X2E70392018475', shipping_carrier: 'UPS'}],
send_fulfillment_notification: true
})
};
fetch('https://api.fluid.app/api/order_fulfillments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/order_fulfillments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'order_id' => 48213,
'order_items' => [
[
'item_id' => 130577,
'quantity' => 1
]
],
'tracking_informations' => [
[
'tracking_number' => '1Z84X2E70392018475',
'shipping_carrier' => 'UPS'
]
],
'send_fulfillment_notification' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/order_fulfillments"
payload := strings.NewReader("{\n \"order_id\": 48213,\n \"order_items\": [\n {\n \"item_id\": 130577,\n \"quantity\": 1\n }\n ],\n \"tracking_informations\": [\n {\n \"tracking_number\": \"1Z84X2E70392018475\",\n \"shipping_carrier\": \"UPS\"\n }\n ],\n \"send_fulfillment_notification\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fluid.app/api/order_fulfillments")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"order_id\": 48213,\n \"order_items\": [\n {\n \"item_id\": 130577,\n \"quantity\": 1\n }\n ],\n \"tracking_informations\": [\n {\n \"tracking_number\": \"1Z84X2E70392018475\",\n \"shipping_carrier\": \"UPS\"\n }\n ],\n \"send_fulfillment_notification\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/order_fulfillments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"order_id\": 48213,\n \"order_items\": [\n {\n \"item_id\": 130577,\n \"quantity\": 1\n }\n ],\n \"tracking_informations\": [\n {\n \"tracking_number\": \"1Z84X2E70392018475\",\n \"shipping_carrier\": \"UPS\"\n }\n ],\n \"send_fulfillment_notification\": true\n}"
response = http.request(request)
puts response.read_body{
"id": 51876,
"created_at": "2026-09-15T13:22:09Z",
"updated_at": "2026-09-15T13:22:09Z",
"order_item_fulfillments": [
{
"id": 60233,
"quantity": 1,
"item_id": 130577,
"order_fulfillment_id": 51876,
"created_at": "2026-09-15T13:22:09Z",
"updated_at": "2026-09-15T13:22:09Z"
}
],
"tracking_informations": [
{
"id": 77541,
"tracking_number": "1Z84X2E70392018475",
"shipping_carrier": "UPS",
"tracking_url": "https://www.ups.com/track?track=yes&trackNums=1Z84X2E70392018475",
"created_at": "2026-09-15T13:22:09Z",
"updated_at": "2026-09-15T13:22:09Z"
}
],
"meta": {
"request_id": "6b3e9f20-8a4c-4d17-b2e5-0c9d7a1f4e36",
"timestamp": "2026-09-15T13:22:09Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}